% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/khis_cred.R
\name{khis_username}
\alias{khis_username}
\title{Retrieve the Configured Username}
\usage{
khis_username(auth = NULL)
}
\arguments{
\item{auth}{(Optional) An auth object. If not provided, the function
will retrieve the username from the global auth credentials.}
}
\value{
The username as a string, or \code{NULL} if no credentials are available.
}
\description{
This function returns the username from the configured credentials. If an
auth object is provided, it retrieves the username from that object.
Otherwise, it retrieves the username from the global auth object.
}
\examples{

\dontrun{
    # Set the credentials using global .auth object
    khis_cred(username = 'DHIS2 username',
              password = 'DHIS2 password',
              base_url = 'https://dhis2-instance/api')

    # View the username (expect 'DHIS2 username')
    khis_username()

    # Clear credentials
    khis_cred_clear()

    # View the username (expect 'NULL')
    khis_username()
}
}
\seealso{
Other credential functions: 
\code{\link{khis_base_url}()},
\code{\link{khis_cred}()},
\code{\link{khis_cred_clear}()},
\code{\link{khis_display_name}()},
\code{\link{khis_has_cred}()}
}
\concept{credential functions}
